Index: gui/graph_displayer_canvas.cc
===================================================================
--- gui/graph_displayer_canvas.cc	(revision 1837)
+++ gui/graph_displayer_canvas.cc	(revision 1849)
@@ -2,9 +2,9 @@
 #include <cmath>
 
-GraphDisplayerCanvas::GraphDisplayerCanvas(MainWin & mainw) :
+GraphDisplayerCanvas::GraphDisplayerCanvas(NoteBookTab & mainw) :
   nodesmap(mainw.mapstorage.graph), edgesmap(mainw.mapstorage.graph), edgetextmap(mainw.mapstorage.graph),
   nodetextmap(mainw.mapstorage.graph), displayed_graph(*(root()), 0, 0),
   isbutton(0), active_item(NULL), target_item(NULL), nodemap_to_edit(""),
-  edgemap_to_edit(""), mainwin(mainw)
+  edgemap_to_edit(""), mytab(mainw)
 {
   //base event handler is move tool
@@ -19,5 +19,5 @@
 GraphDisplayerCanvas::~GraphDisplayerCanvas()
 {
-  for (NodeIt n((mainwin.mapstorage).graph); n != INVALID; ++n)
+  for (NodeIt n((mytab.mapstorage).graph); n != INVALID; ++n)
     {
       delete nodesmap[n];
@@ -25,5 +25,5 @@
     }
   
-  for (EdgeIt e((mainwin.mapstorage).graph); e != INVALID; ++e)
+  for (EdgeIt e((mytab.mapstorage).graph); e != INVALID; ++e)
     {
       delete edgesmap[e];
@@ -64,9 +64,9 @@
   dummy=dummy;
 
-  std::string mapname=mainwin.getActiveNodeMap(prop);
+  std::string mapname=mytab.getActiveNodeMap(prop);
 
   if(mapname!="")
     {
-      if( ( ((mainwin.mapstorage).nodemap_storage).find(mapname) != ((mainwin.mapstorage).nodemap_storage).end() ) )
+      if( ( ((mytab.mapstorage).nodemap_storage).find(mapname) != ((mytab.mapstorage).nodemap_storage).end() ) )
 	{
 	  switch(prop)
@@ -111,9 +111,9 @@
   dummy=dummy;
 
-  std::string mapname=mainwin.getActiveEdgeMap(prop);
+  std::string mapname=mytab.getActiveEdgeMap(prop);
 
   if(mapname!="")
     {
-      if( ( ((mainwin.mapstorage).edgemap_storage).find(mapname) != ((mainwin.mapstorage).edgemap_storage).end() ) )
+      if( ( ((mytab.mapstorage).edgemap_storage).find(mapname) != ((mytab.mapstorage).edgemap_storage).end() ) )
 	{
 	  switch(prop)
@@ -156,5 +156,5 @@
   //first edges are drawn, to hide joining with nodes later
 
-  for (EdgeIt i((mainwin.mapstorage).graph); i!=INVALID; ++i)
+  for (EdgeIt i((mytab.mapstorage).graph); i!=INVALID; ++i)
   {
 
@@ -163,9 +163,9 @@
     Gnome::Canvas::Points coos;
     coos.push_back(Gnome::Art::Point(
-          (mainwin.mapstorage).coords[(mainwin.mapstorage).graph.source(i)].x,
-          (mainwin.mapstorage).coords[(mainwin.mapstorage).graph.source(i)].y));
+          (mytab.mapstorage).coords[(mytab.mapstorage).graph.source(i)].x,
+          (mytab.mapstorage).coords[(mytab.mapstorage).graph.source(i)].y));
     coos.push_back(Gnome::Art::Point(
-          (mainwin.mapstorage).coords[(mainwin.mapstorage).graph.target(i)].x,
-          (mainwin.mapstorage).coords[(mainwin.mapstorage).graph.target(i)].y));
+          (mytab.mapstorage).coords[(mytab.mapstorage).graph.target(i)].x,
+          (mytab.mapstorage).coords[(mytab.mapstorage).graph.target(i)].y));
     
     edgesmap[i]=new BrokenEdge(displayed_graph, coos, *this);
@@ -187,5 +187,5 @@
   //afterwards nodes come to be drawn
 
-  for (NodeIt i((mainwin.mapstorage).graph); i!=INVALID; ++i)
+  for (NodeIt i((mytab.mapstorage).graph); i!=INVALID; ++i)
   {
     //drawing bule nodes, with black line around them
@@ -193,8 +193,8 @@
     nodesmap[i]=new Gnome::Canvas::Ellipse(
         displayed_graph,
-        (mainwin.mapstorage).coords[i].x-20,
-        (mainwin.mapstorage).coords[i].y-20,
-        (mainwin.mapstorage).coords[i].x+20,
-        (mainwin.mapstorage).coords[i].y+20);
+        (mytab.mapstorage).coords[i].x-20,
+        (mytab.mapstorage).coords[i].y-20,
+        (mytab.mapstorage).coords[i].x+20,
+        (mytab.mapstorage).coords[i].y+20);
     *(nodesmap[i]) << Gnome::Canvas::Properties::fill_color("blue");
     *(nodesmap[i]) << Gnome::Canvas::Properties::outline_color("black");
@@ -204,6 +204,6 @@
 
     xy<double> text_pos(
-        ((mainwin.mapstorage).coords[i].x+node_property_defaults[N_RADIUS]+5),
-        ((mainwin.mapstorage).coords[i].y+node_property_defaults[N_RADIUS]+5));
+        ((mytab.mapstorage).coords[i].x+node_property_defaults[N_RADIUS]+5),
+        ((mytab.mapstorage).coords[i].y+node_property_defaults[N_RADIUS]+5));
 
     nodetextmap[i]=new Gnome::Canvas::Text(displayed_graph,
@@ -223,5 +223,5 @@
   forming_edge=INVALID;
 
-  for (NodeIt n((mainwin.mapstorage).graph); n != INVALID; ++n)
+  for (NodeIt n((mytab.mapstorage).graph); n != INVALID; ++n)
   {
     delete nodesmap[n];
@@ -229,5 +229,5 @@
   }
 
-  for (EdgeIt e((mainwin.mapstorage).graph); e != INVALID; ++e)
+  for (EdgeIt e((mytab.mapstorage).graph); e != INVALID; ++e)
   {
     delete edgesmap[e];
